#!/usr/bin/env bash
RTLS_HOME=/usr/rtls
RTLS_FRONTEND_PREFIX=$RTLS_HOME/rtls-frontend

# PERSIST_USR_DATA=true yum remove rtls-addon-
if [ -z "$PERSIST_USR_DATA" ]; then
  echo "Remove User Data"
  USR="$(cat /usr/rtls/database.json |jq ".prod.user" -r)"
  PWD="$(cat /usr/rtls/database.json |jq ".prod.password" -r)"
  DB="$(cat /usr/rtls/database.json |jq ".prod.database" -r)"

  DB_QUERY_DELETE_PROTO="DELETE FROM zone_prototypes WHERE zone_type_id in (22, 23, 24);"
  mysql -u$USR -p$PWD -D$DB -e "$DB_QUERY_DELETE_PROTO"

  DB_QUERY_UPDATE_ZONES="UPDATE zones SET removed_at = NOW() WHERE zone_type_id in (22, 23, 24) AND removed_at > NOW();"
  mysql -u$USR -p$PWD -D$DB -e "$DB_QUERY_UPDATE_ZONES"

  DB_QUERY_MIGRATION1="DELETE FROM migrations WHERE name='/20201030123412-add-vehicle-restriction-zone-prototypes';"
  mysql -u$USR -p$PWD -D$DB -e "$DB_QUERY_MIGRATION1"

  DB_QUERY_MIGRATION2="DELETE FROM migrations WHERE name='/20211224110719-remove-custom-zones';"
  mysql -u$USR -p$PWD -D$DB -e "$DB_QUERY_MIGRATION2"
else
  echo "Persist User Data"
fi
